import fs from 'node:fs/promises'
import { parser } from './dist/parser.js'
import process from 'node:process'

async function main(args) {
    for (const arg of args) {
        const source = await fs.readFile(arg, 'utf-8');
        const tree = parser.parse(source);
        let prefix = '';
        
        tree.iterate({
            enter: node => { console.log(prefix, node.name, node.tree?.propValues ?? ''); prefix += '|' },
            leave: () => { prefix = prefix.slice(0, -1); }
        })
    }
}

main(process.argv.slice(2));